The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> pthread_getcpuclockid - access a thread CPU-time clock (ADVANCED REALTIME THREADS)

#### SYNOPSIS

> ``[THR TCT] #include <pthread.h>
> #include <time.h>
> int pthread_getcpuclockid(pthread_t` thread_id`, clockid_t *`clock_id`);``
> `
> `

#### DESCRIPTION

> The pthread_getcpuclockid() function shall return in clock_id the clock ID of the CPU-time clock of the thread specified by thread_id, if the thread specified by thread_id exists.

#### RETURN VALUE

> Upon successful completion, pthread_getcpuclockid() shall return zero; otherwise, an error number shall be returned to indicate the error.

#### ERRORS

> The pthread_getcpuclockid() function may fail if:

> [ESRCH]
>   The value specified by thread_id does not refer to an existing thread.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> The pthread_getcpuclockid() function is part of the Thread CPU-Time Clocks option and need not be provided on all implementations.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> clock_getcpuclockid(), clock_getres(), timer_create(), the Base Definitions volume of IEEE Std 1003.1-2001, <pthread.h>, <time.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from IEEE Std 1003.1d-1999.

> In the SYNOPSIS, the inclusion of <sys/types.h> is no longer required.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]